@echo off
REM  This is a batch file to configure the Tcl/TK GUI builder XF under
REM  Windows 95.
REM 
REM  This file was adapted from the original XF makefile.
REM
REM  This batch file DOES NOT attempt to move the documentation files.
REM
REM  This file should be run from the XF root directory.
REM 
REM  Created by Dennis R. LaBelle 06/30/96
REM  --------------------------------------------------------------------
REM 		locations
REM  --------------------------------------------------------------------

REM  general path definitions
REM
REM  Modify the following three paths for your particular system

REM  TK's X11 include directory
REM
REM  Here we use normal DOS,Windows directory separators
set X11_INCDIR=e:\tcl_tk\include\X11

REM  Where can I find wish (the ultimate tool :-)
REM
REM  Here, we must use the forward slash / as the directory separation
REM  character and we must use the escaped form of it.
set WISH_CMD=e:\/tcl_tk\/bin\/wish41

REM  What is the toplevel XF directory (with all the
REM  subdirectories...). Just to prevent misunderstandings...
REM  You can place xf everywhere you want.
REM
REM  Here, we must use the forward slash / as the directory separation
REM  character and we must use the escaped form of it.
set XF_DIR=e:\/tcl_tk\/lib\/xf

REM  ###########################################################
REM  # END OF CONFIGURATION PARAMETERS
REM  # DO NOT CHANGE ANYTHING BELOW THIS LINE !!!!!!!!!!!!!!
REM  ###########################################################

echo  -----------------------------------------------------------------------
echo +     Installing .xf-config, a configuration file for running XF.       +
echo +     Placing .xf-config in C:\                                         +
echo +     Under Windows95, WISH considers C:\ to be the HOME directory.     +
echo  -----------------------------------------------------------------------
sed s/CPP_WISH_CMD/%WISH_CMD%/g xfconfig | sed s/CPP_XF_DIR/%XF_DIR%/g >c:\.xf-config

echo Installing: Cursors
copy %X11_INCDIR%\cursorfont.h cursfont.h >NUL
sed s/XC_//g cursfont.h | sed s/#define\x20num_glyphs//g | awk -f .\lib\awkIt > .\lib\Cursors

echo Installing: Fonts....Using XF default fonts.

echo Installing: Keysyms
copy %X11_INCDIR%\keysymdef.h keysymdf.h >NUL
sed s/XK_//g keysymdf.h | awk -f .\lib\awkIt > .\lib\Keysyms
